<?xml version="1.0" encoding = "shift_jis"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.00"
	Name="libsmel"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Shmem Debug|Win32"
			OutputDirectory=".\Static_Shmem_Debug"
			IntermediateDirectory=".\Static_Shmem_Debug"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/Zm300 "
				Optimization="0"
				AdditionalIncludeDirectories="..\..\src,..\..\..\bee"
				PreprocessorDefinitions="_DEBUG,PLC_SHARED_MEMORY,WIN32,_LIB,PLC_MELSEC_SERVER"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="TRUE"
				PrecompiledHeaderFile=".\Static_Shmem_Debug/libsmel.pch"
				AssemblerListingLocation=".\Static_Shmem_Debug/"
				ObjectFile=".\Static_Shmem_Debug/"
				ProgramDataBaseFileName=".\Static_Shmem_Debug/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\smelshm_sd.lib"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\Static_Debug"
			IntermediateDirectory=".\Static_Debug"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/Zm300 "
				Optimization="0"
				AdditionalIncludeDirectories="..\..\src,..\..\..\bee"
				PreprocessorDefinitions="_DEBUG,WIN32,_LIB,PLC_MELSEC_SERVER"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="TRUE"
				PrecompiledHeaderFile=".\Static_Debug/libsmel.pch"
				AssemblerListingLocation=".\Static_Debug/"
				ObjectFile=".\Static_Debug/"
				ProgramDataBaseFileName=".\Static_Debug/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\smelsec_sd.lib"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Shmem Release|Win32"
			OutputDirectory=".\Static_Shmem_Release"
			IntermediateDirectory=".\Static_Shmem_Release"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\src,..\..\..\bee"
				PreprocessorDefinitions="NDEBUG,PLC_SHARED_MEMORY,WIN32,_LIB,PLC_MELSEC_SERVER"
				RuntimeLibrary="2"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\Static_Shmem_Release/libsmel.pch"
				AssemblerListingLocation=".\Static_Shmem_Release/"
				ObjectFile=".\Static_Shmem_Release/"
				ProgramDataBaseFileName=".\Static_Shmem_Release/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\smelshm_s.lib"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory=".\Static_Release"
			IntermediateDirectory=".\Static_Release"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\src,..\..\..\bee"
				PreprocessorDefinitions="NDEBUG,WIN32,_LIB,PLC_MELSEC_SERVER"
				RuntimeLibrary="2"
				RuntimeTypeInfo="TRUE"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\Static_Release/libsmel.pch"
				AssemblerListingLocation=".\Static_Release/"
				ObjectFile=".\Static_Release/"
				ProgramDataBaseFileName=".\Static_Release/"
				WarningLevel="3"
				WarnAsError="TRUE"
				SuppressStartupBanner="TRUE"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\smelsec_s.lib"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
			<File
				RelativePath="..\..\src\MELDeviceManager.cpp">
			</File>
			<File
				RelativePath="..\..\src\MELDeviceServer.cpp">
			</File>
			<File
				RelativePath="..\..\src\MELMemory.cpp">
			</File>
			<File
				RelativePath="..\..\src\MELRandom.cpp">
			</File>
			<File
				RelativePath="..\..\src\MELXmlParser.cpp">
			</File>
			<File
				RelativePath="..\..\src\PLCDevice.cpp">
			</File>
			<File
				RelativePath="..\..\src\PLCDeviceManager.cpp">
			</File>
			<File
				RelativePath="..\..\src\PLCMemory.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl">
			<File
				RelativePath="..\..\src\MELDeviceManager.h">
			</File>
			<File
				RelativePath="..\..\src\MELDeviceServer.h">
			</File>
			<File
				RelativePath="..\..\src\MELMemory.h">
			</File>
			<File
				RelativePath="..\..\src\MELXmlParser.h">
			</File>
			<File
				RelativePath="..\..\src\PLCAddress.h">
			</File>
			<File
				RelativePath="..\..\src\PLCDevice.h">
			</File>
			<File
				RelativePath="..\..\src\PLCDeviceManager.h">
			</File>
			<File
				RelativePath="..\..\src\PLCMemory.h">
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
